%define		modulename pam_apparmor
Summary:	PAM module to add AppArmor change_hat functionality
Summary(pl.UTF-8):	Moduł PAM dodający funkcjonalność AppArmor change_hat
Name:		pam-%{modulename}
Version:	4.0.3
Release:	1
Epoch:		1
License:	BSD or GPL
Group:		Base
Source0:	https://launchpad.net/apparmor/4.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	d581e358c470cb14f98cb838910ddf9e
URL:		https://wiki.apparmor.net/
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	pam-devel
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pam_apparmor module provides the means for any PAM applications
that call pam_open_session() to automatically perform an AppArmor
change_hat operation in order to switch to a user-specific security
policy.

%description -l pl.UTF-8
Moduł pam_apparmor daje możliwość każdej aplikacji PAM wywołującej
pam_open_session() automatycznie wykonać operację AppArmor change_hat
w celu przełączenia na specyficzną dla użytkownika politykę
bezpieczeństwa.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C changehat/pam_apparmor \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CC="%{__cc}" \
	USE_SYSTEM=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C changehat/pam_apparmor install \
	SECDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	USE_SYSTEM=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changehat/pam_apparmor/{COPYING,README}
%attr(755,root,root) /%{_lib}/security/pam_apparmor.so
%changelog
* Thu Feb 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_apparmor.git;a=log;h=master

* Thu Feb 27 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 89031ec
- Up to 4.0.3

* Wed Jul 31 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 9821f42
- Up to 4.0.2

* Sun Apr 21 2024 Jakub Bogusz <qboosh@pld-linux.org> a4c9ec0
- updated to 3.1.7

* Fri Jan 19 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> b671997
- Up to 3.1.6

* Thu Apr 06 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 21a617f
- Up to 3.0.9

* Tue Nov 29 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 14ab0c4
- Up to 3.0.8

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f5ad6e
- Up to 3.0.7.

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 66fec3b
- Up to 3.0.4.

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> c06ed32
- rebuild with separate debuginfo build-ids

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 59d2960
- up to 3.0.1

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 110a48d
- updated to 2.13.4

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f34ae1d
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d7e80bc
- up to 2.13.2

* Thu Apr 19 2018 Jakub Bogusz <qboosh@pld-linux.org> a32434a
- updated to 2.13
- use upstream install process

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 520f21e
- up to 2.12

* Fri Oct 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 30a521d
- up to 2.11.1

* Sun Apr 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 2ff5b40
- updated to 2.11.0

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cc5c95
- up to 2.10.1

* Sun Sep 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 22cb40f
- updated to 2.10

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> c110026
- updated to 2.9.2

